Dynamic Groups admin API Resource

DELETE /admin/groups/user/{userId}

Remove user from groups

Try it out!

Request Parameters
name type description default constraints
userId path ID of group    
Request Body
media type data type
application/json AssignKcIdentities2PermissionRequest (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

POST /admin/groups/user/{userId}

Add user to groups

Try it out!

Request Parameters
name type description default constraints
userId path ID of group    
Request Body
media type data type
application/json AssignKcIdentities2PermissionRequest (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

GET /admin/groups/evaluate/user/{userId}

Try it out!

Request Parameters
name type description default constraints
userId path    
Response Body
media type data type description
application/json array of HdcPermissionNode (JSON)